Skip to main content
Resource Center/Hardware/Backup Storage Operations/ImageStore Backup Storage Operations

UpdateImageStoreBackupStorage

UpdateImageStoreBackupStorage

PUT/zstack/v1/backup-storage/image-store/{uuid}/actions

Operation ID

UpdateImageStoreBackupStorage

Since

1.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The ImageStore backup storage UUID.

Body Fields

  • username
    String

    Optional. The SSH username of the ImageStore backup storage. This parameter is used to deploy Ansible.

  • password
    String

    Optional. The SSH password of the ImageStore backup storage.

  • hostname
    String

    Optional. The hostname of the ImageStore backup storage.

  • sshPort
    Integer

    Optional. The SSH port of the ImageStore backup storage.

  • name
    String

    Optional. The new name of the ImageStore backup storage.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BackupStorageInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • url
      StringRequired

      The URL.

    • description
      StringRequired

      The detailed description of the resource.

    • totalCapacity
      LongRequired

      The total capacity.

    • availableCapacity
      LongRequired

      The available capacity.

    • type
      StringRequired

      The resource type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedZoneUuids
      ListRequired

      The attached zone UUIDs.